#
# Copyright (C)2022 @BABOLO http://www.babolo.ru/
# pkg = cipalite
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: list.pleaf.m4,v 1.3 2022/08/27 12:19:46 babolo Exp $
#
#   

eval
#select  _00_
 SELECT CINM(pnode).CIAT(v)  AS sort
      , CINM(x).CIAT(tosess) AS sess
      , CINM(pnode).CIAT(p)  AS page
  FROM CINM(x), CINM(pnode)
  WHERE CINM(x).CIAT(cred) > 0
    AND CINM(pnode).CIAT(m) == 'PKG'
    AND CINM(pnode).CIAT(v) IN('exit', 'mark', 'dels')
UNION ALL
 SELECT CINM(pnode).CIAT(v)  AS sort
      , CINM(x).CIAT(tosess) AS sess
      , CINM(pnode).CIAT(p)  AS page
  FROM CINM(x), CINM(pnode)
  WHERE CINM(x).CIAT(cred) > 0
    AND CINM(pnode).CIAT(m) == 'PKG'
    AND CINM(pnode).CIAT(v) == 'dels'
ORDER BY 1
;
#style   00y001
list
#display 00_001
#close   _0_001
