#
# Copyright (C)2022 @BABOLO http://www.babolo.ru/
# pkg = cipalite
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: show.pleaf.m4,v 1.4 2022/08/20 21:51:40 babolo Exp $
#

eval
#style   00y001
show
#select  _002
SELECT datetime( SQNM(x).SQAT(b)
               , 'unixepoch'
               , CAST(COALESCE( SQNM(sess).SQAT(hzone)
                              , SQNM(pass).SQAT(hzone)
                              , 0
                              )
                      AS TEXT
                     ) || ' hours'
               , CAST(COALESCE( SQNM(sess).SQAT(mzone)
                              , SQNM(pass).SQAT(mzone)
                              , 0
                              )
                      AS TEXT
                     ) || ' minutes'
               )                          AS now
     , COALESCE(SQNM(sess).SQAT(ttl), SQNM(pass).SQAT(ttl), SQNM(cipaconf).SQAT(ttl)) AS ttl
     , datetime( SQNM(x).SQAT(b)
               , 'unixepoch'
               , CAST(COALESCE( SQNM(sess).SQAT(ttl)
                              , SQNM(pass).SQAT(ttl)
                              , SQNM(cipaconf).SQAT(ttl)
                              )
                      AS TEXT
                     ) || ' seconds'
               , CAST(COALESCE( SQNM(sess).SQAT(hzone)
                              , SQNM(pass).SQAT(hzone)
                              , 0
                              )
                      AS TEXT
                     ) || ' hours'
               , CAST(COALESCE( SQNM(sess).SQAT(mzone)
                              , SQNM(pass).SQAT(mzone)
                              , 0
                              )
                      AS TEXT
                     ) || ' minutes'
               )                          AS upto
 FROM SQNM(x) JOIN SQNM(sess) USING(SQAT(cred), SQAT(sess)) JOIN SQNM(pass) USING(SQAT(cred))
    , SQNM(cipaconf)
;
#display 00_001
#close   _0_001
